#include <stdio.h>
#include <stdlib.h>

void fill_matrix(int min_value, int max_value, size_t mrows, size_t mcols, int matrix[mrows][mcols]);
void print_matrix(size_t mrows, size_t mcols, int matrix[mrows][mcols]);
int find_max_min_in_array(size_t length, int *array, int *max, int *min);

int main(void)
{
    printf("Work on matrices\n");
    return 0;
}

void fill_matrix(int min_value, int max_value, size_t mrows, size_t mcols, int matrix[mrows][mcols])
{
    if (max_value <= min_value) {
        return;
    }

    for (size_t i = 0; i < mrows; i++) {
        for (size_t j = 0; j < mcols; j++) {
            matrix[i][j] = rand() % (max_value - min_value) + min_value;
        }
    }
}

void print_matrix(size_t mrows, size_t mcols, int matrix[mrows][mcols])
{
    for (size_t i = 0; i < mrows; i++) {
        for (size_t j = 0; j < mcols; j++) {
            printf("%d\t", matrix[i][j]);
        }
        printf("\n");
    }
}

int find_max_min_in_array(size_t length, int *array, int *max, int *min)
{
    if (array == NULL || length == 0 || (max == NULL && min == NULL)) {
        return 0;
    }

    if (max != NULL) {
        *max = array[0];
    }

    if (min != NULL) {
        *min = array[0];
    }

    for (size_t i = 1; i < length; i++) {
        if (max != NULL && *max < array[i]) {
            *max = array[i];
        }

        if (min != NULL && *min > array[i]) {
            *min = array[i];
        }
    }
    return (max != NULL && min != NULL) ? 2 : 1;
}
